## fslview 4.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)


PROJECT(FSLVIEW)

SET(CMAKE_MODULE_PATH ${FSLVIEW_SOURCE_DIR}/cmake)
SET(CMAKE_BUILD_TYPE Debug)
SET(LIBRARY_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/lib)
SET(EXECUTABLE_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/bin)

INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/newmat)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/niftiio)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/znzlib)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/src)

ENABLE_TESTING()

SUBDIRS(fsl src doc/fslview)


set(CPACK_PACKAGE_NAME "fslview")

# CPack version numbers for release tarball name.
set(CPACK_PACKAGE_VERSION_MAJOR 4)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH 1)
set(VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_PACKAGE_VERSION ${VERSION})

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "FSLView - FSL visualisation tool")
set(CPACK_PACKAGE_VENDOR "Oxford University - FMRIB Software Library")
set(CPACK_PACKAGE_CONTACT "Dave Flitney <flitney@fmrib.ox.ac.uk>")
#set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/README)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "fslview-${VERSION}" CACHE INTERNAL "tarball basename")
set(CPACK_SOURCE_GENERATOR TGZ)

set(CPACK_GENERATOR DEB RPM)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqwt5-qt4 (>=5.2.2) libvtk5.8-qt4 (>=5.8.0)")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Matthew Webster <mwebster@fmrib.ox.ac.uk>")

INCLUDE(CPack)

=== Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME=fslview

=== fsl/CMakeLists.txt ===
PROJECT(FSL)

FIND_PATH( FSL_DIR etc/fslconf/fsl.sh
	   /usr/local/fsl )

#INCLUDE_DIRECTORIES( ${FSL_DIR}/extras/include/zlib )
ADD_DEFINITIONS ( -DHAVE_ZLIB )

SUBDIRS(znzlib niftiio fslio newmat libprob cprob miscmaths utils)
#SUBDIRS(fslio cprob miscmaths utils)

=== src/CMakeLists.txt ===
FIND_PATH( FSL_DIR etc/fslconf/fsl.sh
	   /usr/local/fsl )

INCLUDE_DIRECTORIES( ${FSL_DIR}/extras/include/zlib )

SUBDIRS(storage fslview utils)

=== doc/fslview/CMakeLists.txt ===
PROJECT(FSLVIEW)

FILE(GLOB docs *.html *.png *.css fsl-bg.jpg fslview.adp)
INSTALL(FILES ${docs} DESTINATION doc/fslview)

=== fsl/fslio/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = fslio

USRINCFLAGS = -I${INC_ZLIB}

OBJS=fslio.o

SCRIPTS = remove_ext fsloutputtype imtest imglob imcp imln imrm immv

all: libfslio.a

libfslio.a: ${OBJS}
	${AR} -r libfslio.a ${OBJS}

TESTOBJS = exttest.o
TESTLIBS = -lfslio -lniftiio -lznz -lz

test: all exttest

exttest: ${TESTOBJS}
	${CC} ${LDFLAGS} -o exttest ${TESTOBJS} ${TESTLIBS}

=== fsl/libprob/CMakeLists.txt ===
IF(FSL_BUILD)
  INSTALL_FILES(/extras/include/libprob .*\\.h$)
  INSTALL_TARGETS(/extras/lib prob)
ENDIF(FSL_BUILD)

=== fsl/miscmaths/CMakeLists.txt ===
SET(MISCMATHS_SOURCES
  miscmaths.cc
  optimise.cc
  miscprob.cc
  kernel.cc
  histogram.cc
  base2z.cc
  t2z.cc
  f2z.cc
  minimize.cc
  cspline.cc
  sparse_matrix.cc
  sparsefn.cc
  rungekutta.cc)

INCLUDE_DIRECTORIES( ${FSL_SOURCE_DIR}/libprob )

ADD_LIBRARY(miscmaths STATIC ${MISCMATHS_SOURCES})

IF(FSL_BUILD)
  INSTALL_FILES(/include/miscmaths .h ${MISCMATHS_SOURCES})
  INSTALL_TARGETS(/lib miscmaths)
ENDIF(FSL_BUILD)

=== fsl/utils/CMakeLists.txt ===
PROJECT(utils)

IF(NOT LIBRARY_OUTPUT_PATH)
  SET(LIBRARY_OUTPUT_PATH ${utils_BINARY_DIR}/lib)
ENDIF(NOT LIBRARY_OUTPUT_PATH)

#SET(utils_SOURCES
#  matches.cc functions.cc usage.cc check.cc parse.cc log.cc time_tracer.cc)
SET(utils_SOURCES
  matches.cc functions.cc usage.cc check.cc parse.cc)

ADD_LIBRARY(utils ${utils_SOURCES})
ADD_EXECUTABLE(opttst opttst.cc)
ADD_DEPENDENCIES(opttst utils)

IF(UNIX)
  TARGET_LINK_LIBRARIES(opttst ${LIBRARY_OUTPUT_PATH}/libutils.a)
ELSE(UNIX)
  TARGET_LINK_LIBRARIES(opttst utils)
ENDIF(UNIX)

IF(FSL_BUILD)
  INSTALL_FILES(/include/utils .*\\.h$)
  INSTALL_TARGETS(/lib utils)
ENDIF(FSL_BUILD)

ENABLE_TESTING()

ADD_TEST(opttst1     ${EXECUTABLE_OUTPUT_PATH}/opttst -d 7 -m mask -r res)
ADD_TEST(opttst2     ${EXECUTABLE_OUTPUT_PATH}/opttst -V)
ADD_TEST(opttst3     ${EXECUTABLE_OUTPUT_PATH}/opttst -verb)

=== src/fslview/CMakeLists.txt ===
#PROJECT(fslview)
#SET(CMAKE_MODULE_PATH ${FSLVIEW_SOURCE_DIR}/cmake)

FIND_PACKAGE( Qt4 REQUIRED )
FIND_PACKAGE( Qwt REQUIRED )
FIND_PACKAGE( VTK REQUIRED )
FIND_PACKAGE( Boost REQUIRED )

MESSAGE(STATUS, "Setting Qt options from: ${QT_USE_FILE}")

SET(QT_USE_QTXML TRUE)
#SET(QT_USE_QTOPENGL TRUE)
SET(QT_USE_QT3SUPPORT TRUE)
SET(QT_USE_QTASSISTANT FALSE)
SET(QT_USE_QTWEBKIT TRUE)
INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS( -DQT3_SUPPORT )
ADD_DEFINITIONS( ${QT_DEFINITIONS} )

INCLUDE_DIRECTORIES( ${QWT_INCLUDE_DIR} )

IF(VTK_DIR)
  INCLUDE( ${VTK_USE_FILE} )
  ADD_DEFINITIONS( -DHAVE_VTK )
ENDIF(VTK_DIR)

INCLUDE_DIRECTORIES( ${BOOST_DIR} )

INCLUDE_DIRECTORIES( ${FSL_DIR}/include )
INCLUDE_DIRECTORIES( ${FSL_DIR}/extras/include/newmat )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/.. )


SET(utility_srcs
  preferences.cpp
  atlas.cpp
  filemanager.cpp
  cursor.cpp
  lookuptable.cpp
  clusterdata.cpp)

SET(srcs
  main.cpp
  preferences.cpp
  atlas.cpp
  filemanager.cpp
  logger.cpp
  assistantclient.cpp
  splashscreen.cpp 
  version.cpp
  tracker.cpp
  cursor.cpp
  bricon.cpp
  imagegroup.cpp 
  overlaylist.cpp 
  metaimage.cpp 
  imagedata.cpp 
  drawsettings.cpp 
  imagedisplaysetting.cpp 
  lookuptable.cpp
  curvedatalist.cpp 
  imagedatastore.cpp 
  imagebuffer.cpp 
  graphmanager.cpp 
  briconwidget.cpp 
  cursorwidget.cpp 
  drawwidget.cpp 
#  imagewidget.cpp 
  imagewindow.cpp 
  viewwidget.cpp 
  orthowidget.cpp 
  singlewidget.cpp 
#  lightboxwidget.cpp
  lightboxwindow.cpp
  slicewidget.cpp 
  sliceview.cpp 
  timeserieswidget.cpp 
  singleserieswidget.cpp 
  overlaywidget.cpp 
  histogramwidget.cpp 
  clusterbrowser.cpp
  histogramtoolbar.cpp 
  overlayinfodialog.cpp
  meshoptionsdialog.cpp
  atlasoptionsdialog.cpp
  atlasselectiondialog.cpp
  viewoptionsdialog.cpp
  histogramoptionsdialogimpl.cpp 
  properties.cpp 
  propertiesdialogimpl.cpp 
  vtkpropertydialog.cpp 
  vtktoolbar.cpp 
  timeseriestoolbar.cpp
  talairachwidget.cpp  
  shape.cpp 
  rect.cpp 
  command.cpp 
  modelfit.cpp
  clusterdata.cpp
  tsplotcode.cpp 
  maintoolbar.cpp 
  modetoolbar.cpp 
  vtkmeshsurface.cpp
  vtkwidget.cpp
  application.cpp)

QT_WRAP_CPP(ui moc_srcs
  application.h
#  assistantclient.h
  overlayinfodialog.h
  meshoptionsdialog.h
  atlasoptionsdialog.h
  atlasselectiondialog.h
  viewoptionsdialog.h
#  imagewidget.h
  imagewindow.h
  viewwidget.h
  sliceview.h
  orthowidget.h
  singlewidget.h
#  lightboxwidget.h
  lightboxwindow.h
  briconwidget.h
  cursorwidget.h
  drawwidget.h
  slicewidget.h
  splashscreen.h
  timeserieswidget.h
  talairachwidget.h
  clusterbrowser.h
  singleserieswidget.h
  maintoolbar.h
  modetoolbar.h
  histogramwidget.h
  vtkwidget.h
  vtktoolbar.h
  overlaywidget.h)

QT_WRAP_UI(ui ui_hdrs dd
  applicationwindowbase.ui
# Toolbars
  maintoolbarbase.ui 
  modetoolbarbase.ui 
  drawtoolbarbase.ui 
  briconwidgetbase.ui
# Dock windows etc
#  talairachwidgetbase.ui 
  atlasdockbase.ui 
  atlasoptionsdialogbase.ui 
  atlasselectiondialogbase.ui 
#  cursorwidgetbase.ui
  cursordockbase.ui
#  overlaywidgetbase.ui 
  overlaydockbase.ui 
  overlayinfodialogbase.ui 
# View windows
  imagewindowbase.ui
  clusterbrowserbase.ui
  sliceviewbase.ui
  histogramoptionsdialog.ui 
  histogramtoolbarbase.ui 
  viewoptionsdialogbase.ui 
  propertiesdialog.ui 
  createmaskdialog.ui 
  timeseriestoolbarbase.ui 
  smartpendialogbase.ui
  vtktoolbarbase.ui 
  vtkpropertydialogbase.ui 
  meshoptionsdialogbase.ui 
  timeserieswindowbase.ui)

IF(NOT WINDOWS)
  FIND_PATH( FSL_DIR etc/fslconf/fsl.sh
	   /usr/local/fsl )
ENDIF(NOT WINDOWS)

SET(HAS_SYSLOG ON CACHE BOOL "Use syslog found on many Unix systems")

CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h )

#LINK_DIRECTORIES( ${X11_LIBRARY_DIR} )
#LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
#LINK_DIRECTORIES( ${QWT_LIB_DIR} )
#LINK_DIRECTORIES( ${FSL_DIR}/lib ${FSL_DIR}/extras/lib )
#LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib )

ADD_LIBRARY( ui ${ui_hdrs} ${moc_srcs} )
ADD_LIBRARY( utilities ${utility_srcs} )

#QT_WRAP_CPP( melview mv_srcs melview.h)
#QT_WRAP_UI( melview mv_hdrs dd melviewbase.ui)
#ADD_EXECUTABLE( melview melview.cpp ${mv_srcs} ${mv_hdrs} ${rcc_srcs})
#TARGET_LINK_LIBRARIES( melview ${QT_LIBRARIES} ${QWT_LIBRARIES} )

ADD_EXECUTABLE( atlasquery atlasquery.cc )
TARGET_LINK_LIBRARIES( atlasquery utilities storage miscmaths newmat utils fslio niftiio znz z )
TARGET_LINK_LIBRARIES( atlasquery ${QT_LIBRARIES} )

SET(rccs fslview.qrc)
QT4_ADD_RESOURCES(rcc_srcs ${rccs})

IF(APPLE)
  SET( MACOSX_BUNDLE_ICON_FILE application.icns )
  INSTALL(FILES application.icns DESTINATION bin/fslview.app/Contents/Resources)
  SET( MACOSX_BUNDLE_COPYRIGHT "Copyright (c) 2005, University of Oxford" )
  
  ADD_EXECUTABLE( fslview MACOSX_BUNDLE ${srcs} ${rcc_srcs})
  INSTALL(TARGETS fslview 
    BUNDLE DESTINATION bin
#    BUNDLE DESTINATION /Applications/MacPorts/FSL
#    RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
 	ARCHIVE DESTINATION lib 
	)

  FILE( GLOB vtklibs ${VTK_DIR}/*.dylib* )
  FILE( GLOB qwtlibs /opt/local/lib/libqwt*.dylib )
  FILE( GLOB extralibs /opt/local/lib/libpng*.dylib
		/opt/local/lib/libssl*.dylib
		/opt/local/lib/libcrypto*.dylib
		/opt/local/lib/libz*.dylib )
#  FILE( GLOB qtlibs ${QT_INCLUDE_DIR}/../lib/*.dylib* )

  INSTALL(FILES ${vtklibs} ${qwtlibs} ${extralibs} DESTINATION bin/fslview.app/Contents/Frameworks)
#  INSTALL(DIRECTORY $ENV{QTDIR}/bin/assistant.app DESTINATION lib)
ELSE (APPLE)
  ADD_EXECUTABLE( fslview ${srcs} ${rcc_srcs})
  INSTALL(TARGETS fslview
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib )

  FILE( GLOB vtklibs ${VTK_DIR}/../libvtk*.so* ${VTK_DIR}/../libQVTK.so* )
  FILE( GLOB osmesa /usr/lib*/libOSMesa*.so* )
  FILE( GLOB qwtlibs ${QWT_LIB_DIR}/lib/*.so* )
  FILE( GLOB qtlibs ${QT_QT_LIBRARY}* ${QT_QASSISTANTCLIENT_LIBRARY}* )
  FILE( GLOB assistant ${QT_INCLUDE_DIR}/../bin/assistant )
  #INSTALL(FILES ${vtklibs} ${osmesa} ${qtlibs} ${qwtlibs} DESTINATION lib)
#  INSTALL(FILES ${assistant} DESTINATION lib)
#  INSTALL(TARGETS fslview atlasquery RUNTIME DESTINATION /bin )
  #INSTALL(TARGETS fslview atlasquery 
ENDIF(APPLE)

   
MESSAGE(STATUS, "${VTK_LIBRARIES} ${QT_LIBRARIES} ${QWT_LIBRARIES}")

TARGET_LINK_LIBRARIES( fslview utilities ui storage trace)
TARGET_LINK_LIBRARIES( fslview ${QT_LIBRARIES} fslio niftiio znz z )
TARGET_LINK_LIBRARIES( fslview miscmaths newmat utils )
#TARGET_LINK_LIBRARIES( fslview qassistantclient )
TARGET_LINK_LIBRARIES( fslview ${QWT_LIBRARIES} )
TARGET_LINK_LIBRARIES( fslview vtkHybrid vtkWidgets QVTK )

IF(UNIX)
#  TARGET_LINK_LIBRARIES( fslview ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )
#   INSTALL_FILES ( /lib ${VTK_LIBRARY_DIR}/.*\\.so$ )
ENDIF(UNIX)
IF(WINDOWS)
    LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib/Debug )
ENDIF(WINDOWS)

# Now for the test harness

CREATE_TEST_SOURCELIST(Tests
  atlastests.cpp
  atlastst.cpp
  agtest.cpp)

REMOVE(srcs main.cpp)

#ADD_EXECUTABLE( atlastests ${srcs} ${Tests} )
#TARGET_LINK_LIBRARIES(atlastests ui storage
#  fslio niftiio znz z
#  miscmaths newmat utils qassistantclient qwt QVTK vtkHybrid vtkWidgets )

#SET(TestsToRun ${Tests})
#REMOVE(TestsToRun atlastests.cpp)

#FOREACH (test ${TestsToRun})
#  GET_FILENAME_COMPONENT( TName ${test} NAME_WE )
#  ADD_TEST(${TName} ${EXECUTABLE_OUTPUT_PATH}/atlastests ${TName})
#ENDFOREACH (test)

=== src/storage/CMakeLists.txt ===
SET(Storage_SOURCES
	image.cpp
	volume.cpp
	timeseries.cpp
	imageinfo.cpp
	histogram.cpp
	error.cpp)

ADD_LIBRARY(storage ${Storage_SOURCES})

FIND_PATH(FSL_DIR etc/fslconf/fsl.sh /usr/local/fsl)
INCLUDE_DIRECTORIES(${FSL_DIR}/include)

FIND_PATH(FSL_EXTRAS include/newmat/newmatap.h ${FSL_DIR}/extras)
INCLUDE_DIRECTORIES(${FSL_EXTRAS}/include/newmat)

FIND_PATH(BOOST_DIR boost/shared_ptr.hpp
	/Developer/boost
	/usr/local/boost
	/usr/local/boost_1_33_0
        /usr/include)
INCLUDE_DIRECTORIES(${BOOST_DIR})

IF(FSL_BUILD)
  INSTALL_FILES(/include/storage .*\\.h$)
  INSTALL_FILES(/include/storage .*\\.hpp$)
  INSTALL_FILES(/include/storage .*\\.inc$)
  INSTALL_TARGETS(/lib storage)
ENDIF(FSL_BUILD)

SUBDIRS(test)

=== src/storage/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = storage

USRINCFLAGS = -I${INC_BOOST} -I${INC_ZLIB}

HFILES = *.h *.inc histogramfns.hpp

OBJS = image.o volume.o timeseries.o imageinfo.o histogram.o error.o

all: libstorage.a

libstorage.a: ${OBJS}
	${AR} -r libstorage.a ${OBJS}

=== debian/changelog ===
fslview (4.0.1-5) unstable; urgency=medium

  * Add basic autopkgtest that verifies that program startup and image loading
    work. Also use a similarly minimal test for build time testing.
  * Move upstream meta data to debian/upstream.
  * Fix menu file to use absolute icon path.
  * Enable default hardening features (involves going to compat level 9).
  * Bump Standards-version to 3.9.6, no further changes necessary.

 -- Michael Hanke <mih@debian.org>  Sun, 21 Dec 2014 10:09:46 +0100

fslview (4.0.1-4) unstable; urgency=medium

  * Overdue upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 May 2014 14:06:06 -0400

fslview (4.0.1-3) experimental; urgency=low

  [ Andreas Tille ]
  * Added citation information in d/upstream

  [ Yaroslav Halchenko ]
  * Reuploading to Debian proper (experimental for now).
    Package was removed from Debian due to absent at the time
    Qt4 compatibility (see #647810)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 26 Oct 2013 12:20:18 -0400

fslview (4.0.1-2) neurodebian; urgency=low

  * debian/patches/enh_statistics_atlas
    - generalizes ProbabilisticAtlas into StatisticAtlas to support
      any "Statistic" atlas (e.g. for neurosynth.org).

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 May 2013 16:45:37 -0400

fslview (4.0.1-1) neurodebian; urgency=low

  * New upstream release with various usability bugfixes.
  * atlasquery tool still segfaults on exit.

 -- Michael Hanke <mih@debian.org>  Mon, 04 Mar 2013 17:49:30 +0100

fslview (4.0.0~beta1-3) neurodebian; urgency=low

  [ Michael Hanke ]
  * Re-enable and install the 'atlasquery' tool that was "lost" during the
    switch to the Qt4 code.

  [ Yaroslav Halchenko ]
  * Drop explicit libtiff4-dev from Build-Depends -- corresponding
    tiff-dev should be pulled in by libvtk5-qt4-dev.  Should resolve FTBFS
    on quantal

 -- Michael Hanke <mih@debian.org>  Tue, 22 Jan 2013 06:48:44 +0100

fslview (4.0.0~beta1-1) neurodebian; urgency=low

  * New upstream beta release. Now using Qt4. When opening files with
    unsupported data types and error message is display, and the program
    no longer crashed (Closes: #442177).
  * Adjust package dependencies for transition from Qt3 to Qt4.

 -- Michael Hanke <mih@debian.org>  Fri, 14 Sep 2012 09:14:51 +0200

=== debian/control ===
Source: fslview
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9~), libboost-dev, libvtk5-dev, libvtk5-qt4-dev,
 libqwt5-qt4-dev, libqt4-dev, libnewmat10-dev, cmake, imagemagick,
 libnifti-dev, libqtassistantclient-dev, xdotool, xvfb, xauth
Standards-Version: 3.9.6
Homepage: http://www.fmrib.ox.ac.uk/fsl/fslview
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fslview.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fslview.git
Testsuite: autopkgtest


Package: fslview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fslview-doc, qt-assistant-compat
Suggests: fsl-atlases
Conflicts: fsl-fslview
Replaces: fsl-fslview
Description: viewer for (f)MRI and DTI data
 This package provides a viewer for 3d and 4d MRI data as well as DTI images.
 FSLView is able to display ANALYZE and NIFTI files. The viewer supports
 multiple 2d viewing modes (orthogonal, lightbox or single slices), but also
 3d volume rendering. Additionally FSLView is able to visualize timeseries and
 can overlay metrical and stereotaxic atlas data.
 .
 FSLView is part of FSL.


Package: fslview-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for FSLView
 This package provides the online documentation for FSLView.
 .
 FSLView is part of FSL.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# attempt to fix/workaround #502083
AS_NEEDED_BROKEN = zarmelz zarmebz
ifeq (,$(findstring z$(DEB_HOST_ARCH)z,$(AS_NEEDED_BROKEN)))
LDFLAGS += -Wl,--as-needed -Wl,--no-undefined
endif

# The CMake flags for Debian:
# - Choose Qt3 explicitely (necessary as building fails with Qt4 present).
# - Search for VTK instead of a fixed path to be compatible with post-etch
#   versions and Ubuntu.

# add Debian-specific include paths
CXXFLAGS += -I$(CURDIR)/fsl/libprob \
            -I/usr/include/newmat \
            -I/usr/include/qwt-qt4 \
            -I/usr/include/nifti
CFLAGS += $(CXXFLAGS)
export CXXFLAGS
export CFLAGS


# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake


override_dh_auto_configure:
	dh_auto_configure -- \
      -DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS)" \
      -DCMAKE_MODULE_LINKER_FLAGS:STRING="$(LDFLAGS)" \
      -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS)" \
      -DVTK_DIR:PATH=$$(dirname $$(find /usr/lib -name VTKConfig.cmake|head -n1)) \
      -DDESIRED_QT_VERSION=4 \
      -DQT_MOC_EXECUTABLE=/usr/bin/moc-qt4 \
      -DQT_UIC_EXECUTABLE=/usr/bin/uic-qt4 \
      -DQWT_DIR=/usr \
      -DFSL_DIR=$(CURDIR)/fsl \
      -DFSL_BUILD:BOOL=ON


override_dh_auto_install::
	dh_auto_install
	# make fsl icon
	convert doc/fslview/fsl-logo.png -resize x32 -crop 32x32+5+0 \
		debian/tmp/fslview.xpm


override_dh_auto_test::
	# disabled because tests rely on FSL environment which is provided by a
	# non-free package
	# but we at least fire up the binary
	debian/run_tests ./obj*/bin/fslview 10 ctrl+q


# do not compress the html docs as they are used as online help sources
# for FSLView via the Qt-Assistant
override_dh_compress:
	dh_compress -X.html -X.png -X.adp -X.jpg

=== debian/tests/control ===
Test-Command: debian/run_tests "fslview /usr/share/mricron/templates/ch2bet.nii.gz" 10 ctrl+q
Depends: fslview, mricron-data, xvfb, xdotool, xauth

=== debian/watch ===
version=3
opts="uversionmangle=s/^/3.0+/" \
http://pkg-exppsy.alioth.debian.org/watchhelper/fsl.html \
	.*fsl-(.*)-sources\.tar\.gz
